<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}" xmlns="http://www.w3.org/1999/html">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Nim Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Nim Mahasiswa</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <div class="col-md-12 col-xs-12">
                                                <div class="col-md-6 pull-left">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <form th:action="@{/generateNim/xlsx}" method="get">
                                                                    <input type="submit" class="btn btn-sm btn-primary" value="Download Data NIM XLSX">
                                                                </form>
                                                            </td>
<!--                                                            <td>-->
<!--                                                                <form th:action="@{/detail/xlsx}" method="get">-->
<!--                                                                    <input style="margin-right: 100px;" type="submit" class="btn btn-sm btn-success" value="Download Data Detail XLSX-->
<!--">-->
<!--                                                                </form>-->
<!--                                                            </td>-->
<!--                                                        </tr>-->
                                                    </table>
                                                </div>
                                                <div class="col-md-6">
                                                    <form method="get">
                                                        <div class="col-md-8 col-sm-8 col-xs-12 form-group pull-right top_search">
                                                            <div class="input-group">
                                                                <input type="text" name="search"
                                                                       class="form-control" th:value="${search}"
                                                                       placeholder="Cari Nama/Nomor Registrasi...">
                                                                <span class="input-group-btn">
                                                             <button class="btn btn-info" style="color: white" type="submit">Cari</button>
                                                        </span>
                                                            </div>
                                                            <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="col-md-12 col-sm-12 col-xs-12" th:each="p : ${daftarNim}">
                                                <div class="x_panel tile fixed_height_160">
                                                    <div class="col-sm-12">
                                                        <div class="left col-xs-2">
                                                            <img th:if="${p.foto != null}" th:src="@{/cetakKartu/{pendaftar}/foto/(pendaftar=${p.pendaftar.id})}" class="img-preview img-responsive" alt="">

                                                            <img th:if="${p.foto == null}" th:src="@{/images/user.png}" alt="" class="img-preview img-responsive">
                                                        </div>
                                                        <div class="left col-md-10 col-xs-10">
                                                            <h3 style="font-weight: bold" th:text="${p.nim} + ' > ' + ${p.pendaftar.leads.nama}">Nicole Pearson</h3>
                                                            <p><h2 th:text="'Program Studi : '+${p.pendaftar.programStudi.nama}"></h2> </p>
                                                            <ul class="list-unstyled">
                                                                <li><i class="fa fa-building"></i><i th:text="' Email : '+ ${p.pendaftar.leads.email}"></i></li>
                                                                <li><i class="fa fa-phone"></i><i th:text="' No Handphone : '+ ${p.pendaftar.leads.noHp}"></i> </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>

<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
    })
    $('.popover-dismiss').popover({
        trigger: 'focus'
    });
</script>